Skip to content
API Reference

List Identities

GET/organizations/{organization_id}/identities

List unified view of users and invitations in an organization

Path ParametersExpand Collapse
organization_id: string

Organization ID or label identifier

minLength1
maxLength255
Query ParametersExpand Collapse
after: optional string

Cursor for forward pagination

minLength1
maxLength255
before: optional string

Cursor for backward pagination

minLength1
maxLength255
expand: optional array of "permissions" or "total_count"

Fields to expand in the response. Supports "permissions" to include the permissions field with the caller's permissions for the resource. For list organization identities only, "total_count" populates pagination.total_count with the number of identities matching the same filters as the list (excluding cursor and limit). Other operations ignore expand values they do not use.

Accepts one of the following:
"permissions"
"total_count"
limit: optional number

Maximum number of identities to return

minimum1
maximum100
"query[email]": optional string

Search identities by email substring (case-insensitive)

minLength1
maxLength255
role: optional OrganizationRole

Filter identities by role

Accepts one of the following:
"org_admin"
"org_member"
"org_viewer"
Header ParametersExpand Collapse
"X-Client-Request-ID": optional string
formatuuid
ReturnsExpand Collapse
items: array of object { id, created_at, email, 6 more }
id: string

The identity ID (user or invitation)

minLength1
maxLength255
created_at: string

The time the entity was created in utc

formatdate-time
email: string

Email address of the identity

formatemail

Role in the organization

Accepts one of the following:
"org_admin"
"org_member"
"org_viewer"
source: string

Identity provider issuer

formaturi
status: "active" or "disabled" or "pending" or 3 more

Status of the identity (OrganizationStatus for users, InvitationStatus for invitations)

Accepts one of the following:
"active"
"disabled"
"pending"
"accepted"
"expired"
"revoked"
type: "user" or "invitation"

Type of identity (user or invitation)

Accepts one of the following:
"user"
"invitation"
updated_at: string

The time the entity was mostly recently updated in utc

formatdate-time
permissions: optional map[map[boolean]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

page_info: PageInfoCursor { has_next_page, has_prev_page, end_cursor, start_cursor }

Pagination information using cursor-based pagination

has_next_page: boolean

Whether there are more items after the current page

has_prev_page: boolean

Whether there are more items before the current page

end_cursor: optional string

Cursor pointing to the last item in the current page

minLength1
maxLength255
start_cursor: optional string

Cursor pointing to the first item in the current page

minLength1
maxLength255
permissions: optional map[map[boolean]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

List Identities

curl https://api.keycard.ai/organizations/$ORGANIZATION_ID/identities
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "created_at": "2019-12-27T18:11:19.117Z",
      "email": "dev@stainless.com",
      "role": "org_admin",
      "source": "https://example.com",
      "status": "active",
      "type": "user",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "pagination": {
    "after_cursor": "x",
    "before_cursor": "x",
    "total_count": 0
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "created_at": "2019-12-27T18:11:19.117Z",
      "email": "dev@stainless.com",
      "role": "org_admin",
      "source": "https://example.com",
      "status": "active",
      "type": "user",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "pagination": {
    "after_cursor": "x",
    "before_cursor": "x",
    "total_count": 0
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}